Subject: bug#14831: cl-member warnings during bootstrap

From: Glenn Morris <[email-masked]>
Date: Tue, 16 Jul 2013 13:12:56 -0400

Stefan Monnier wrote:

> Aha!  So it's the compiler-macro of add-to-list which turns an
> add-to-list call into a cl-pushnew call, which is then macro-expanded to
> something that uses cl-member, which should be turned into a plain
> `member' by `cl--compiler-macro-member'.  So it can be fixed by changing
> the compiler-macro of add-to-list not to use cl-pushnew.

Or move the

(put 'cl-member 'compiler-macro #'cl--compiler-macro-member)

from cl-seq to cl-macs (and probably the same for cl-assoc).
That seems fine to me, since that is where cl--compiler-macro-member is
defined, but I guess you might want to keep that statement where
cl-member is defined instead.